BETCORE Aggregator
Provider IntegrationCasino IntegrationFeed Integration
Provider IntegrationCasino IntegrationFeed Integration
Visit Betcore website
Follow Betcore on Instagram
Follow Betcore on LinkedIn
Follow Betcore on Youtube
  1. FreeBets
  • PLEASE READ: Getting Started
  • Integrate BETCORE Games
    • Integrate BETCORE Games
    • WebFrame Connection
    • Promotional campaigns
    • Freebets
    • BETCORE API
      • Authentication
        • Token
          POST
        • Verify
          POST
        • Jwks
          GET
      • Payments
        • Accept
          POST
      • Rollbacks
        • Make
          POST
        • Accept
          POST
      • Cashback
        • Accept
          POST
    • PROMO API
      • Signing of server requests
      • FreeBets
        • Campaign/Create
          POST
        • Issue
          POST
        • Cancel
          POST
    • PARTNER API
      • Users
        • Auth
          POST
        • Data
          POST
      • Payments
        • Info
          POST
        • Make
          POST
        • Make-list
          POST
        • Close
          POST
      • Cashback
        • Make
          POST
  • Integrate YOUR Games
    • Integrate as Games Provider
    • PARTNER API
      • Games
        • Games
          GET
        • Launch
          POST
    • BETCORE API
      • Get Balance
        • Balance
          GET
      • Bets
        • PayIn
          POST
        • PayOut
          POST
        • PayInOut
          POST
        • Refund
          POST
  • Feed Integration
    • Feed Integration
    • REST API
      • Authorization
        • Token
          POST
      • Games
        • List
          GET
        • Info
          GET
        • Translations
          GET
      • Jackpot
        • Accumulated
          GET
    • Websocket
      • SubOnWholeGamesInfo
  1. FreeBets

Issue

POST
https://backend.bcdprod.net/partnersmediator-service/api/v3/Issue
That method is used to issue a freebet bonus to the player.
Freebets can be issued either by using a campaign (campaign_id) or directly without a campaign:
  • if campaign_id is provided, freebet configuration (games, bet amounts, validity, coefficients) is taken from the campaign
  • if campaign_id is not provided, all freebet parameters must be specified in the request.
Freebet issue requests are idempotent: requests with the same issue_id must not be processed twice and should return the original response.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠4XX4XX: Client Error
🔴5XX5XX: Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://backend.bcdprod.net/partnersmediator-service/api/v3/Issue' \
--header 'X-REQUEST-SIGN: XXX' \
--header 'Content-Type: application/json' \
--data '{
  "issue_id": "648056e4-5064-40bd-9c34-8ab31c628a91",
  "campaign_id": "2234612623",
  "account_id": "8821415121",
  "is_test": false,
  "client_id": 6781234521,
  "currency": "EUR"
}'
Response Response Example
200 - Example 1
{
    "bonus_id": "648056e4-5064-40bd-9c34-8ab31c628a91"
}
Previous
Campaign/Create
Next
Cancel
Built with